<?php

namespace App\Filtros;

use TypeError;

class FiltroDeSubpedido extends Filtro
{
    public function grupoDeCompra(String $valor)
    {
        if (!is_numeric($valor))
            throw new TypeError();

        $this->builder->where('grupo_de_compra_id', intval($valor));
    }

    public function tipoPedido(String $valor)
    {
        if (!is_numeric($valor))
            throw new TypeError();

        $this->builder->where('tipo_pedido_id', intval($valor));
    }
}
