<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CantidadOllasPedidos extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('subpedidos', function (Blueprint $table) {
            $table->integer('cantidad_ollas')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('subpedidos', function (Blueprint $table) {
            $table->dropColumn('cantidad_ollas');
        });
    }
}
